import { html as l } from "lit";
import { property as n } from "lit/decorators.js";
import { PieIconComponent as h } from "./PieIconComponent.js";
import { safeCustomElement as f } from "@justeattakeaway/pie-webc-core";
var g = Object.defineProperty, m = Object.getOwnPropertyDescriptor, a = (c, t, o, r) => {
  for (var e = r > 1 ? void 0 : r ? m(t, o) : t, p = c.length - 1, i; p >= 0; p--)
    (i = c[p]) && (e = (r ? i(t, o, e) : i(e)) || e);
  return r && e && g(t, o, e), e;
};
let s = class extends h {
  constructor() {
    super(...arguments), this.size = 32, this.defaultClasses = "c-pieIcon c-pieIcon--rssLarge", this.class = "c-pieIcon c-pieIcon--rssLarge", this.name = "IconRssLarge";
  }
  render() {
    return l`<svg width="${this._svgWidth}" height="${this._svgHeight}" fill="${this.fill}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 32 32" class="c-pieIcon c-pieIcon--rssLarge"><path d="M8.762 21.355a1.312 1.312 0 1 0 1.853 1.86 1.312 1.312 0 0 0-1.853-1.86Z"></path><path d="M8.5 7v1.5a15 15 0 0 1 15 15H25A16.5 16.5 0 0 0 8.5 7Z"></path><path d="M9.25 11.807v1.5a9.458 9.458 0 0 1 9.442 9.443h1.5A10.957 10.957 0 0 0 9.25 11.807Z"></path><path d="M10 16.615v1.5A3.893 3.893 0 0 1 13.885 22h1.5A5.393 5.393 0 0 0 10 16.615Z"></path></svg>`;
  }
};
a([
  n({ type: String, reflect: !0 })
], s.prototype, "size", 2);
a([
  n({ type: String, reflect: !0 })
], s.prototype, "class", 2);
s = a([
  f("icon-rss-large")
], s);
export {
  s as IconRssLarge
};
